package com.hammingweight.hammockexamples;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

import com.hammingweight.hammockexamples.example4.GetName2;
import com.hammingweight.hammockexamples.example4.HttpConnectionFactory;

public class DemoMidlet extends MIDlet implements CommandListener {

	private Form form;
	
	public DemoMidlet() {
		this.form = new Form("Http Connection Reader");
		this.form.addCommand(new Command("Exit", Command.EXIT, 0));
		this.form.setCommandListener(this);
	}
	
	protected void destroyApp(boolean b) throws MIDletStateChangeException {
	}

	protected void pauseApp() {
	}

	protected void startApp() throws MIDletStateChangeException {
		Display.getDisplay(this).setCurrent(this.form);
		new Thread(new Runnable() {

			public void run() {
				HttpConnectionFactory connFactory = new HttpConnectionFactory("hammingweight.com");
				GetName2 getName = new GetName2(connFactory);
				try {
					form.append(getName.getNameForId(1234));
				} catch (Exception e) {
					form.append(e.getMessage());
				}
			}
			
		}).start();
	}

	public void commandAction(Command cmd, Displayable d) {
		notifyDestroyed();
	}

}
