package com.hammingweight.hammockexamples.example4;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public interface ConnectionFactory {

	public void openConnections(String relativePath) throws IOException;

	public DataInput getInputConnection() throws IOException;
	
	public DataOutput getOutputConnection() throws IOException;
	
	public void closeConnections();
}
